joo.classLoader.prepare(/*
 * Copyright 2008 CoreMedia AG
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, 
 * software distributed under the License is distributed on an "AS
 * IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either 
 * express or implied. See the License for the specific language 
 * governing permissions and limitations under the License.
 */

"package package1", /*blubber*/ [""],

/**
* a comment
*/
"public class TestAssert",function(TestAssert,$$private){with(TestAssert)with($$private)return[ 

  "public function TestAssert",function $TestAssert() {this[$super]();
  },

  "static public function testAssert",function testAssert()/* :String*/ {
    try {
      assert((1 < 2), "C:\\Users\\fwienber\\p4\\jangaroo\\jooc\\src\\it\\debug-and-assert\\target\\joo\\package1\\TestAssert.as", 28, 7);
      try {
        assert((2 < 1), "C:\\Users\\fwienber\\p4\\jangaroo\\jooc\\src\\it\\debug-and-assert\\target\\joo\\package1\\TestAssert.as", 30, 9);
        return "no exception thrown";
      } catch(ex1) {
        return ex1.message;
      }
    } catch(ex2) {
      return ex2.message;
    }
  },

];},["testAssert"]
);